%define name gweled
%define version 0.6
%define release 1mdk

Summary: Clone of Bejeweled, align 3 crystals in a row to make them disappear
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://sebdelestaing.free.fr/gweled/Release/%{name}-%{version}.tar.bz2
Patch: gweled-0.6-scoredir.patch.bz2
License: GPL
Group: Games/Puzzles
URL: http://sebdelestaing.free.fr/gweled/
BuildRequires: librsvg-devel
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: ImageMagick
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Gweled is a Gnome version of a popular PalmOS/Windows/Java game called
"Bejeweled" or "Diamond Mine". The aim of the game is to make
alignment of 3 or more gems, both vertically or horizontally by
swapping adjacent gems. The game ends when there are no possible moves
left.

%prep
%setup -q
%patch -p1
autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std scoredir=%buildroot/var/lib/games
install -d %buildroot{%_menudir,%_liconsdir,%_miconsdir,%_iconsdir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%name
?package(%name):command="%name" \
icon="%name.png" needs="X11" section="Amusement/Puzzles" \
title="Gweled" longtitle="Clone of Bejeweled"
EOF

#icons
ln -s %_datadir/pixmaps/%name.png %buildroot/%_liconsdir
convert -scale 32x32 %name.png %buildroot/%_iconsdir/%name.png
convert -scale 16x16 %name.png %buildroot/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc NEWS AUTHORS
%attr(2555, root, games) %_bindir/%name
%_datadir/applications/%name.desktop
%_datadir/pixmaps/%name.png
%_datadir/pixmaps/%name
%_datadir/%name
%attr(664, games, games) %_var/lib/games/%name.easy.scores
%attr(664, games, games) %_var/lib/games/%name.timed.scores
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png
%_menudir/%name

%changelog
* Wed Dec  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- fix score dir
- New release 0.6

* Tue Aug 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- add source URL
- New release 0.5

* Fri Apr  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-2mdk
- rebuild for new croco

* Thu Feb 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-1mdk
- add new files
- fix buildrequires
- new version

* Fri Nov 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- initial package

